ActionMessages.ActionMessageItem (Apache Struts API Documentation)
Keywords: org.apache.struts.action.ActionMessages.ActionMessageItem,ActionMessages.ActionMessageItem class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.action
Class ActionMessages.ActionMessageItem

    java.lang.Object
      |
      +--org.apache.struts.action.ActionMessages.ActionMessageItem

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  ActionMessages

protected class ActionMessages.ActionMessageItem
extends java.lang.Object
implements java.io.Serializable

This class is used to store a set of messages associated with a property/key and the position it was initially added to list.

See Also:
  Serialized Form

Field Summary
`protected int` | `iOrder` The position in the list of messages.
`protected java.util.List` | `list` The list of `ActionMessage`s.

Constructor Summary
`ActionMessages.ActionMessageItem(java.util.List list, int iOrder)`

Method Summary
`java.util.List` | `getList()`
`int` | `getOrder()`
`void` | `setList(java.util.List list)`
`void` | `setOrder(int iOrder)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### list

    protected java.util.List list

  The list of `ActionMessage`s.

### iOrder

    protected int iOrder

  The position in the list of messages.

Constructor Detail

### ActionMessages.ActionMessageItem

    public ActionMessages.ActionMessageItem(java.util.List list,
                                            int iOrder)

Method Detail

### getList

    public java.util.List getList()

### setList

    public void setList(java.util.List list)

### getOrder

    public int getOrder()

### setOrder

    public void setOrder(int iOrder)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation